This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

SHLwhenneed

Description

SHLwhenneed highlighter your code when need. Based on jQuery, optimized for SyntaxHighlighter. Just replace your syntax highlighter with SHLwhenneed. It is more compact, more intelligent. See SHLwhenneed.

Installation

Upload the SHLwhenneed plugin to your blog, Activate it, you’re done!

Useage:

Wrapped your code with

<

pre class=”brush: XXXX”>, XXX means the code type, such as php, css, javascript, html, c-sharp etc.

See also: SyntaxHighlighter.

Contributors & Developers

“SHLwhenneed” is open source software. The following people have contributed to this plugin.

Changelog

  • Compatible with old SyntaxHighlighter versions and other plugins’ format, such as WP-Syntax.

1.0.5

  • Fixed some bugs in chrome.

1.0.2

  • Update to SyntaxHighlighter 3.0.83.

1.0.1

  • Initialization version.